
#ifndef IBN_DEVICE_DELAY_LINE_H
#define IBN_DEVICE_DELAY_LINE_H
#include "Device.h"
#include <chrono>
namespace device 
{
	//Abstract class prividing interface for delay line
	class DelayLine : public Device
	{
		public:
			typedef std::chrono::nanoseconds delay_t;
			virtual ~DelayLine(void){}
			virtual delay_t GetDelay(void) const = 0;
			virtual void SetDelay(const delay_t & time) = 0;
	};
}
#endif
