#ifndef IBN_DEVICE_FAKE_ATTENUATOR_H
#define IBN_DEVICE_FAKE_ATTENUATOR_H
#include "Attenuator.h"
namespace device 
{
	class FakeAttenuator : public Attenuator
	{
		device::Info info;
		double attenuation;
		//camac::Address address; 
		public:
		FakeAttenuator(std::string name, std::string address="") 
		{
			info.type = "Attenuator";
			info.model = "FAKE";
			info.address = address;
			info.name = name;
		}
		virtual ~FakeAttenuator(void) {};
		void   SetAttenuation(double a) final { attenuation = a; } ;
		double GetAttenuation(void) const final { return attenuation; }; 
		double GetMaxAttenuation(void) const final { return 60; };
		double GetStep(void) const { return 1; };
		const Info & GetInfo() const final { return info; }
	};
}


#endif
