/*
 * =====================================================================================
 *
 *       Filename:  depolarizer_test.cpp
 *
 *    Description:  
 *
 *        Version:  1.0
 *        Created:  13.12.2019 13:51:27
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Ivan B. Nikolaev (ekherit), I.B.Nikolaev@inp.nsk.su
 *   Organization:  Budker Insitute of Nuclear Physics
 *
 * =====================================================================================
 */
#include <iostream>
#include <chrono>
#include <thread>
#include <utility>
#include "DepolarizerClient.h"
int main() {
  std::string line;
  using namespace std::chrono_literals;
  DepolarizerClient depol("127.0.0.1",9090);
  std::string command;
  std::vector<std::string> args;

  while (std::getline(std::cin, line)) {
    std::istringstream iss(line);
    iss >> command;
    std::string tmp;
    while(iss>> tmp) {
      args.push_back(tmp);
    }
  //while (true) {
    std::cout << depol.get_frequency() << std::endl;
    std::this_thread::sleep_for(1s);
  }
}
